For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact UsDashboard
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • GETRetrieve companies for an account
      • GETRetrieve locations for an account
      • GETRetrieve accounts for the authenticated user
LogoLogo
Contact UsDashboard
API ReferenceAccounts

Retrieve companies for an account

GET
/accounts/:id/companies
GET
/v1/accounts/:id/companies
$curl -G https://api.ottimate.com/v1/accounts/racc_90832490382904802384/companies \
> -H "X-Api-Key: your-api-key-here" \
> -H "X-API-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -d limit=50 \
> -d page=0
200Retrieved
1{
2 "count": 10,
3 "page": 1,
4 "limit": 10,
5 "results": [
6 {
7 "id": 123,
8 "name": "Acme Inc.",
9 "location_count": 1,
10 "plan": "Basic"
11 },
12 {
13 "id": 124,
14 "name": "Acme Inc. - Downtown",
15 "location_count": 1,
16 "plan": "Basic"
17 }
18 ]
19}
Returns a paginated list of companies associated with the specified account.
Was this page helpful?
Previous

Retrieve locations for an account

Next
Built with

Authentication

AuthorizationBearer
OAuth2 authentication flows. Auth server URLs will vary by environment

Path parameters

idstringRequired
Account ID

Headers

X-Api-KeystringRequired
API key for authentication
X-API-VersionenumOptional

API version to use (optional, defaults to latest)

Allowed values:

Query parameters

searchstringOptional
Search term for company name
limitintegerOptional
Number of items per page
pageintegerOptional
Page number for pagination

Response

Successful response with paginated company list
countinteger
pageinteger
limitinteger
resultslist of objects